#include <iostream>

using namespace std;

int main()
{
    bool p = true;
    int n,k,x;
    cin >> n >> k >> x;
    int a[n];
    if(k == n && n > 2)
    {
        a[0] = 1;
        a[n-1] = 2*x + 1;
        for(int i=1;i<n-1;i++)
        {
            a[i] = x + i;
            if(i >= x)
                p = false;
        }
            
    }
    else
        p = false;
    if(p == true)
    {
        for(int i=0;i<n;i++)
        cout << a[i] << " ";
    }
    else
        cout << "-1";

    return 0;
}